## org.hibernate.hql.internal.classic
Class SelectPathExpressionParser

    java.lang.Object
      org.hibernate.hql.internal.classic.PathExpressionParser
          org.hibernate.hql.internal.classic.SelectPathExpressionParser

All Implemented Interfaces:
  Parser

    public class SelectPathExpressionParser

extends PathExpressionParser

Constructor Summary
`SelectPathExpressionParser()`

Method Summary
`void` `end(QueryTranslatorImpl q)`
`String` `getSelectName()`
`protected void` `setExpectingCollectionIndex()`

Methods inherited from class org.hibernate.hql.internal.classic.PathExpressionParser
`addAssociation, addFromAssociation, addFromCollection, currentColumns, fetch, getCollectionSubquery, getName, getPropertyType, getWhereColumn, getWhereColumns, getWhereColumnType, getWhereJoin, ignoreInitialJoin, isCollectionValued, isExpectingCollectionIndex, lastCollectionElement, setLastCollectionElementIndexValue, start, token`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectPathExpressionParser

    public SelectPathExpressionParser()

Method Detail

### end

    public void end(QueryTranslatorImpl q)
             throws QueryException

  Specified by:
    `end` in interface `Parser`
  Overrides:
    `end` in class `PathExpressionParser`
  Throws:
    `QueryException`

### setExpectingCollectionIndex

    protected void setExpectingCollectionIndex()
                                        throws QueryException

  Overrides:
    `setExpectingCollectionIndex` in class `PathExpressionParser`
  Throws:
    `QueryException`

### getSelectName

    public String getSelectName()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.